#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	squashfs-tools
Version		:	4.6.1
Release		:	17.2.0.rel%{?dist}
Summary		:	Utility for the creation of squashfs filesystems
Group		:	Applications/Archiving

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/plougher/squashfs-tools/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	lzo-devel
BuildRequires	:	zlib-devel

Requires	:	lzo

Provides	:	%{name}
#-----------------------------------------------------------------------------
%description
Squashfs is a highly compressed read-only filesystem for Linux.
This package contains the utilities for manipulating squashfs
filesystems.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc ACKNOWLEDGEMENTS CHANGES COPYING
%{_sbindir}/{mk,un}%{sname}
%{_sbindir}/sqfscat
%{_sbindir}/sqfstar
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build


pushd	%{name}

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	XZ_SUPPORT=1					\
	LZO_SUPPORT=1					\
	LZMA_XZ_SUPPORT=1				\
	%{_smp_mflags}
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


pushd	%{name}
%{__make}						\
	INSTALL_DIR=%{buildroot}%{_sbindir}		\
	INSTALL_MANPAGES_DIR=%{buildroot}%{_mandir}/man1\
	install
popd


#-----------------------------------------------------------------------------
%changelog
